Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class EngineException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.util.AbstractExceptionContainer
                  com.bea.wlai.client.EngineException

All Implemented Interfaces:
  Serializable

public class EngineException
extends com.bea.util.AbstractExceptionContainer

An exception which indicates an error accessing or manipulating the state of a WLAI engine. This may be a primary exception, or a secondary exception wrapping a primary exception. In the former case, no linked exception will be available, in the latter case, there will be one or more linked exceptions.

See Also:
  Serialized Form

Constructor Summary
`EngineException(String message)` Construct a new EngineException with the given message, and no linked exceptions.
`EngineException(String message, Exception exception)` Construct a new EngineException with the given message and one linked exception.

Methods inherited from class com.bea.util.AbstractExceptionContainer
`addException, containsException, getExceptions, getLinkedException, getRootCauseMessage, hasExceptions, printStackTrace, printStackTrace, printStackTrace, removeException, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EngineException

    public EngineException(String message)

  Construct a new EngineException with the given message, and no linked exceptions.

Parameters:
  `message` - The message describing the details of this exception.

### EngineException

    public EngineException(String message,
                           Exception exception)

  Construct a new EngineException with the given message and one linked exception. Other linked exceptions may be added after construction if desired.

Parameters:
  `message` - The message describing the details of this exception.
  `exception` - The exception to link to the new exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD